# pandas.core.window.Expanding.max

`Expanding.``max`(*args, **kwargs)

  Calculate the expanding maximum.

  Parameters:

  *args, **kwargs

  > Arguments and keyword arguments to be passed into func.

  Returns:

  Series or DataFrame

  > Return type is determined by the caller.

  See also

  `Series.expanding`
    Series expanding.
  `DataFrame.expanding`
    DataFrame expanding.

Scroll To Top